/*
	
	DropView.cpp
	Copyright 1997 Be Incorporated, All Rights Reserved.
	
*/

#ifndef DROP_VIEW_H
#include "DropView.h"
#endif

#include <stdio.h>

// ----------------------------------------------------------------------------
// Snip.
#include <add-ons/tracker/TrackerAddOn.h>

DropView::DropView(BRect rect, const char *name, const char* text)
	   	   : BStringView(rect, name, text, B_FOLLOW_ALL, B_WILL_DRAW)
{
	//Set up the font for the text
	SetFont(be_bold_font);
	SetFontSize(24);
}


void DropView::MessageReceived(BMessage *message)
{
	// Print the message to see its contents
printf( "DropView's PrintToStream()\n" );
	message->PrintToStream();

   	entry_ref ref;
 	switch ( message->what ){
   		case B_SIMPLE_DATA:
   			// Look for a ref in the message
   			if( message->FindRef("refs", &ref) == B_OK ){
				// Call SetText() to change the string in the view
   				SetText( ref.name );

				process_refs( ref, message, NULL );
   			}else{
   				// Call inherited if we didn't handle the message
   				inherited::MessageReceived(message);
   			}
   			break;
   		default:
   			// Call inherited if we didn't handle the message
   			inherited::MessageReceived(message);
   			break;
	}
}

// This is here to show a quick example of what to do with MouseDown message
void DropView::MouseDown(BPoint)
{
	//Call SetText() to change the string in the view
	SetText( "Don't click, drag!" );
}
